=== modified file 'l10n_ve_withholding_iva/partner_view.xml'
--- l10n_ve_withholding_iva/partner_view.xml	2011-05-11 16:46:27 +0000
+++ l10n_ve_withholding_iva/partner_view.xml	2011-09-08 18:24:07 +0000
@@ -18,7 +18,7 @@
             <field name="arch" type="xml">
                 <page string="Withholdings" position="inside">
                     <notebook>
-                        <page string="Withholdings Vat">                
+                        <page string="Withholdings Vat">
                             <group col="4" colspan="2">
                                 <field name="wh_iva_agent"/>
                                 <field name="wh_iva_rate"/>
@@ -26,7 +26,7 @@
                                 <field name="property_wh_iva_receivable"/>
                             </group>
                         </page>
-                    </notebook>                        
+                    </notebook>
                 </page>
             </field>
         </record>

=== modified file 'l10n_ve_withholding_iva/wh_iva_view.xml'
--- l10n_ve_withholding_iva/wh_iva_view.xml	2011-08-21 22:33:37 +0000
+++ l10n_ve_withholding_iva/wh_iva_view.xml	2011-09-08 18:24:07 +0000
@@ -18,9 +18,9 @@
                     <field name="invoice_id" on_change="invoice_id_change(invoice_id)" domain="[('state', '=', 'open'), ('wh_iva', '=', False), ('partner_id','=',parent.partner_id)]"/>
 <!--                    <field name="retention_rate" />-->
                     <field name="base_ret"/>
-                    <field name="amount_tax_ret"/>                    
+                    <field name="amount_tax_ret"/>
                     <field name="amount_base_wh"/>
-                    <field name="amount_tax_wh"/>                    
+                    <field name="amount_tax_wh"/>
                     <field name="move_id"/>
                 </tree>
             </field>
@@ -55,7 +55,7 @@
                                 <field name="amount_tax_ret"/>
                                 <field name="base_ret"/>
                                 <field name="amount_base_wh"/>
-                                <field name="amount_tax_wh"/>                                
+                                <field name="amount_tax_wh"/>
                             </group>
                         </page>
                     </notebook>
@@ -64,11 +64,11 @@
         </record>
 
 
-    <!-- 
+    <!--
     =====================================================
     Withholding vat
     =====================================================
-    -->  
+    -->
 
 
         <record id="view_wh_iva_filter" model="ir.ui.view">
@@ -99,8 +99,8 @@
                </search>
             </field>
         </record>
-        
-        
+
+
         <record id="view_wh_iva_tree" model="ir.ui.view">
             <field name="name">account.wh.iva.tree</field>
             <field name="model">account.wh.iva</field>
@@ -132,27 +132,27 @@
                 <form string="Withholding Vat">
                     <group colspan="4" col="6">
                         <field name="journal_id" select="2" domain="[('type','=','iva_purchase')]"/>
-                        <field name="type" select="2"/>
-                        <field name="code" select="1"/>
-                        <field name="partner_id" on_change="onchange_partner_id(type,partner_id)" select="1" domain="[('supplier','=',True)]"/>
-                        <field name="currency_id" />
-                        <field name="date_ret" />
+                        <field name="type"/>
+                        <field name="code"/>
+                        <field name="partner_id" on_change="onchange_partner_id(type,partner_id)" domain="[('supplier','=',True)]"/>
+                        <field name="currency_id"/>
+                        <field name="date_ret"/>
                         <field domain="[('type','&lt;&gt;','view'), ('company_id', '=', company_id)]" name="account_id"/>
-                        <field name="name" select="2"/>
+                        <field name="name"/>
                         <field name="period_id"/>
-                        <field name="number" select="1" attrs="{'readonly':[('type','=','in_invoice')],'required':[('type','in',['out_invoice','out_refund'])]}"/>
+                        <field name="number" attrs="{'readonly':[('type','=','in_invoice')],'required':[('type','in',['out_invoice','out_refund'])]}"/>
                         <field name="date" />
                     </group>
                     <notebook colspan="4">
                         <page string="Withholding">
                             <field colspan="4" name="retention_line" nolabel="1" widget="one2many_list"/>
                             <group col="4" colspan="2">
-                                <field name="state" select="2"/>
-                                <button name="wh_iva_done" states="draft" string="Realizar" icon="gtk-execute"/>
+                                <field name="state"/>
+                                <button name="wh_iva_done" states="draft" string="Done" icon="gtk-execute"/>
                             </group>
                             <group col="2" colspan="2">
-                                <button colspan="2" name="compute_amount_wh" states="draft" string="Compute Withholding Vat" type="object" icon="terp-stock_format-scientific"/>                                
-                                <field name="amount_base_ret"/>                                
+                                <button colspan="2" name="compute_amount_wh" states="draft" string="Compute Withholding Vat" type="object" icon="terp-stock_format-scientific"/>
+                                <field name="amount_base_ret"/>
                                 <field name="total_tax_ret"/>
                                 <field name="tot_amount_base_wh"/>
                                 <field name="tot_amount_tax_wh"/>
@@ -219,7 +219,7 @@
             <field name="domain">[('type','=','out_invoice')]</field>
             <field name="context">{'type':'out_invoice'}</field>
             <field name="search_view_id" ref="view_wh_iva_filter"/>
-            <field name="help">With Customer Withholding Vat you can create and manage document withholding issued to your customers. OpenERP can also generate document withholding automatically from invoices. For retention must add the invoices, process them and then validate the document.</field>            
+            <field name="help">With Customer Withholding Vat you can create and manage document withholding issued to your customers. OpenERP can also generate document withholding automatically from invoices. For retention must add the invoices, process them and then validate the document.</field>
         </record>
         <record model="ir.actions.act_window.view" id="act_wv_account_wh_iva_customer_tree">
             <field name="sequence" eval="10"/>
@@ -236,7 +236,7 @@
 
         <menuitem
             id="menu_action_account_wh_iva_customer"
-            name="Withholding vat customer"       
+            name="Withholding vat customer"
             parent="l10n_ve_withholding.menu_wh_customer"
             action="action_account_wh_iva_customer"/>
 

=== renamed directory 'retencion_municipal' => 'l10n_ve_withholding_muni'
=== modified file 'l10n_ve_withholding_muni/__init__.py'
--- retencion_municipal/__init__.py	2011-09-05 21:13:57 +0000
+++ l10n_ve_withholding_muni/__init__.py	2011-09-08 18:24:07 +0000
@@ -2,7 +2,7 @@
 ##############################################################################
 #
 # Copyright (c) 2009 Netquatro C.A. (http://openerp.netquatro.com/) All Rights Reserved.
-#                    Javier Duran <javier.duran@netquatro.com>
+#                    Javier Duran <javieredm@gmail.com>
 # 
 #
 # WARNING: This program as such is intended to be used by professional
@@ -29,11 +29,9 @@
 ##############################################################################
 
 
-import retencion_munici
+import wh_muni
 import invoice
-#import account
 import partner
-#import stock
-import report
-import wizard
+#import report
+#import wizard
 

=== modified file 'l10n_ve_withholding_muni/__openerp__.py'
--- retencion_municipal/__openerp__.py	2011-09-06 20:37:25 +0000
+++ l10n_ve_withholding_muni/__openerp__.py	2011-09-08 18:24:07 +0000
@@ -22,7 +22,7 @@
 #
 ##############################################################################
 {
-    "name" : "Withholding vat Venezuelan laws",
+    "name" : "Local Withholding Venezuelan laws",
     "version" : "0.5",
     "author" : "Vauxoo",
     "website" : "http://vauxoo.com",
@@ -34,11 +34,10 @@
     'update_xml': [
 #        'security/wh_iva_security.xml',
 #        'security/ir.model.access.csv',
-#        'account_invoice_view.xml',
-#        'account_view.xml',
-#        'partner_view.xml',
-#        'wh_iva_view.xml',
-#        "wh_iva_sequence.xml",
+        'account_invoice_view.xml',
+        'partner_view.xml',
+        'wh_muni_view.xml',
+        "wh_muni_sequence.xml",
 #        "wh_iva_workflow.xml",
 #        "account_workflow.xml",
     ],

=== modified file 'l10n_ve_withholding_muni/account_invoice_view.xml'
--- retencion_municipal/account_invoice_view.xml	2011-09-05 21:13:57 +0000
+++ l10n_ve_withholding_muni/account_invoice_view.xml	2011-09-08 18:24:07 +0000
@@ -4,55 +4,61 @@
 
 
 
-    <!-- 
+    <!--
     =====================================================
     Invoices Extension
     =====================================================
-    -->  
-
-        <record id="acc_inv_muni_view_form_loc_ve" model="ir.ui.view">
-            <field name="name">invoice_muni.account.invoice.form</field>
-            <field name="model">account.invoice</field>
-            <field name="type">form</field>
-            <field name="inherit_id" ref="retencion_iva.account_invoice_ext_view_form_loc_ve"/>
-            <field name="arch" type="xml">
-                <field name="sin_cred" position="after">
-                    <field name="ret_munici"/>
-                </field>
-            </field>
-        </record>
-
-
-
-        <record id="acc_inv_muni_view_supp_form_loc_ve" model="ir.ui.view">
-            <field name="name">invoice_muni.account.invoice.supplier.form</field>
-            <field name="model">account.invoice</field>
-            <field name="type">form</field>
-            <field name="inherit_id" ref="retencion_iva.account_invoice_ext_view_supp_form_loc_ve"/>
-            <field name="arch" type="xml">
-                <field name="sin_cred" position="after">
-                    <field name="ret_munici"/>
-                </field>
-            </field>
-        </record>
-
-<!--
-        <record id="account_invoice_ext_view_tree_loc_ve" model="ir.ui.view">
-            <field name="name">invoice_extended.account.invoice.tree.loc_ve</field>
+    -->
+
+        <record id="account_invoice_wh_muni_customer" model="ir.ui.view">
+            <field name="name">account.invoice.wh.local.customer</field>
+            <field name="model">account.invoice</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="l10n_ve_withholding.wh_inv_customer"/>
+            <field name="arch" type="xml">
+                <page string="Withholdings" position="inside">
+                    <notebook>
+                        <page string="Withholdings Local">
+                            <group col="6" colspan="4">
+                                <field name="wh_local"/>
+                            </group>
+                        </page>
+                    </notebook>
+                </page>
+            </field>
+        </record>
+
+
+        <record id="account_invoice_wh_muni_supplier" model="ir.ui.view">
+            <field name="name">account.invoice.wh.local.supplier</field>
+            <field name="model">account.invoice</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="l10n_ve_withholding.wh_inv_supplier"/>
+            <field name="arch" type="xml">
+                <page string="Withholdings" position="inside">
+                    <notebook>
+                        <page string="Withholdings Vat">
+                            <group col="6" colspan="4">
+                                <field name="wh_local"/>
+                            </group>
+                        </page>
+                    </notebook>
+                </page>
+            </field>
+        </record>
+
+
+        <record id="account_invoice_wh_muni_tree" model="ir.ui.view">
+            <field name="name">account.invoice.wh.local.tree</field>
             <field name="model">account.invoice</field>
             <field name="type">tree</field>
             <field name="inherit_id" ref="account.invoice_tree"/>
             <field name="arch" type="xml">
-                <field name="origin" position="after">
-                    <field name="retention"/>
-                </field>
+                <xpath expr="/tree/field[@name='origin']" position="after">
+                    <field name="wh_local"/>
+                </xpath>
             </field>
         </record>
--->
-
-
-
-
 
 
     </data>

=== modified file 'l10n_ve_withholding_muni/invoice.py'
--- retencion_municipal/invoice.py	2011-09-05 21:13:57 +0000
+++ l10n_ve_withholding_muni/invoice.py	2011-09-08 18:24:07 +0000
@@ -72,14 +72,13 @@
         return invoice_ids
 
 
-    _description = "Retencion de Impuesto Municipales"
     _columns = {
-        'ret_munici': fields.function(_retenida_munici, method=True, string='Retencion Municipal', type='boolean',
+        'wh_local': fields.function(_retenida_munici, method=True, string='Local Withholding', type='boolean',
             store={
                 'account.invoice': (lambda self, cr, uid, ids, c={}: ids, None, 50),
                 'account.move.line': (_get_inv_munici_from_line, None, 50),
                 'account.move.reconcile': (_get_inv_munici_from_reconcile, None, 50),
-            }, help="The account moves of the invoice have been retention with account moves of the payment(s)."),
+            }, help="The account moves of the invoice have been withheld with account moves of the payment(s)."),
 
     }
     

=== modified file 'l10n_ve_withholding_muni/partner.py'
--- retencion_municipal/partner.py	2011-09-05 21:13:57 +0000
+++ l10n_ve_withholding_muni/partner.py	2011-09-08 18:24:07 +0000
@@ -33,26 +33,25 @@
 
 class res_partner(osv.osv):
     _inherit = 'res.partner'
-    _description = "Propiedades Retenciones Municipales."
     _columns = {
-        'property_retencion_munici_payable': fields.property(
-            'account.account',
-            type='many2one',
-            relation='account.account',
-            string="Cuenta Retencion Compra munici",
-            method=True,
-            view_load=True,
-            domain="[('type', '=', 'other')]",
-            help="Esta cuenta sera usada como la cuenta donde se cargaran los montos retenidos por concepto de Impuestos Municipales en vez de la cuenta de reserva predeterminda para el actual partner"),
-        'property_retencion_munici_receivable': fields.property(
-            'account.account',
-            type='many2one',
-            relation='account.account',
-            string="Cuenta Retencion Venta munici",
-            method=True,
-            view_load=True,
-            domain="[('type', '=', 'other')]",
-            help="Esta cuenta sera usada como la cuenta donde se cargaran los montos retenidos por concepto de Impuestos Municipales en vez de la cuenta de reserva predeterminda para el actual partner"),
+        'property_wh_munici_payable': fields.property(
+            'account.account',
+            type='many2one',
+            relation='account.account',
+            string="Purchase local withholding account",
+            method=True,
+            view_load=True,
+            domain="[('type', '=', 'other')]",
+            help="This account will be used debit local withholding amount"),
+        'property_wh_munici_receivable': fields.property(
+            'account.account',
+            type='many2one',
+            relation='account.account',
+            string="Sale local withholding account",
+            method=True,
+            view_load=True,
+            domain="[('type', '=', 'other')]",
+            help="This account will be used credit local withholding amount"),
 
    }
 

=== modified file 'l10n_ve_withholding_muni/partner_view.xml'
--- retencion_municipal/partner_view.xml	2011-09-05 21:13:57 +0000
+++ l10n_ve_withholding_muni/partner_view.xml	2011-09-08 18:24:07 +0000
@@ -4,27 +4,28 @@
 
 
 
-	<!-- 
-	=====================================================
-	Partners Extension
-	=====================================================
-	-->  
+    <!--
+    =====================================================
+    Partners Extension
+    =====================================================
+    -->
 
         <record id="partner_ext_munici_view_form_loc_ve" model="ir.ui.view">
             <field name="name">partner_extended_munici.partner.form.view.loc_ve</field>
             <field name="model">res.partner</field>
             <field name="type">form</field>
-            <field name="inherit_id" ref="base.view_partner_form"/>
+            <field name="inherit_id" ref="l10n_ve_withholding.wh_partner"/>
             <field name="arch" type="xml">
-                <notebook>
-                    <page string="Imp. Municipales" position="inside">
-                    <group col="2" colspan="2">
-                        <separator string="Retenciones Municipales" colspan="2"/>
-                        <field name="property_retencion_munici_payable"/>
-                        <field name="property_retencion_munici_receivable"/>
-                    </group>
+                <page string="Withholdings" position="inside">
+                    <notebook>
+                        <page string="Local Withholdings">
+                            <group col="4" colspan="2">
+                                    <field name="property_wh_munici_payable"/>
+                                    <field name="property_wh_munici_receivable"/>
+                            </group>
+                        </page>
+                    </notebook>
                 </page>
-                </notebook>
             </field>
         </record>
 

=== renamed file 'retencion_municipal/retencion_munici.py' => 'l10n_ve_withholding_muni/wh_muni.py'
--- retencion_municipal/retencion_munici.py	2011-09-06 20:37:25 +0000
+++ l10n_ve_withholding_muni/wh_muni.py	2011-09-08 18:24:07 +0000
@@ -260,9 +260,9 @@
         if partner_id:
             p = self.pool.get('res.partner').browse(cr, uid, partner_id)
             if type in ('out_invoice', 'out_refund'):
-                acc_id = p.property_retencion_munici_receivable.id
+                acc_id = p.property_wh_munici_receivable.id
             else:
-                acc_id = p.property_retencion_munici_payable.id
+                acc_id = p.property_wh_munici_payable.id
 
         self._update_check(cr, uid, ids, partner_id)
         result = {'value': {
@@ -352,7 +352,7 @@
         'invoice_id': fields.many2one('account.invoice', 'Invoice', required=True, ondelete='set null', help="Withholding invoice"),
         'amount':fields.float('Amount', digits_compute= dp.get_precision('Withhold')),
         'move_id': fields.many2one('account.move', 'Account Entry', readonly=True, help="Account Entry"),
-        'retencion_munici':fields.float('Rate', help="Local withholding rate"),
+        'wh_loc_rate':fields.float('Rate', help="Local withholding rate"),
         'concepto_id': fields.integer('Concept', size=3, help="Local withholding concept"),
 
 

=== renamed file 'retencion_municipal/retencion_munici_sequence.xml' => 'l10n_ve_withholding_muni/wh_muni_sequence.xml'
--- retencion_municipal/retencion_munici_sequence.xml	2011-09-05 21:13:57 +0000
+++ l10n_ve_withholding_muni/wh_muni_sequence.xml	2011-09-08 18:24:07 +0000
@@ -2,21 +2,21 @@
 <openerp>
     <data noupdate="1">
 
-        <!-- Sequences type for account.retencion.munici --> 
-
-
-        <record id="seq_type_account_retencion_munici_compras" model="ir.sequence.type">
-            <field name="name">Retenciones munici Compras</field>
-            <field name="code">account.ret_munici.in_invoice</field>
+        <!-- Sequences type for account.wh.munici --> 
+
+
+        <record id="seq_type_account_wh_muni_purchase" model="ir.sequence.type">
+            <field name="name">Withholding local.purchase</field>
+            <field name="code">account.wh.muni.in_invoice</field>
         </record>
 
-        <!-- Sequences for account.retencion.munici --> 
+        <!-- Sequences for account.wh.munici --> 
 
 
         <record id="seq_account_retencion_munici_compras" model="ir.sequence">
-            <field name="name">Retenciones munici Compras</field>
-            <field name="code">account.ret_munici.in_invoice</field>
-            <field name="prefix">RET-MUNICI</field>
+            <field name="name">Withholding local purchase</field>
+            <field name="code">account.wh.muni.in_invoice</field>
+            <field name="prefix">RET-MUNI</field>
             <field name="padding">8</field>
             <field name="number_increment">1</field>
         </record>

=== renamed file 'retencion_municipal/retencion_munici_view.xml' => 'l10n_ve_withholding_muni/wh_muni_view.xml'
--- retencion_municipal/retencion_munici_view.xml	2011-09-06 20:37:25 +0000
+++ l10n_ve_withholding_muni/wh_muni_view.xml	2011-09-08 18:24:07 +0000
@@ -8,7 +8,7 @@
     =====================================================
     -->
 
-        <record id="view_retencion_munici_line_tree" model="ir.ui.view">
+        <record id="view_wh_muni_line_tree" model="ir.ui.view">
             <field name="name">account.wh.munici.line.tree</field>
             <field name="model">account.wh.munici.line</field>
             <field name="type">tree</field>
@@ -16,14 +16,14 @@
                 <tree string="Local Withholding line " editable="bottom">
                     <field name="name"/>
                     <field name="invoice_id" on_change="onchange_invoice_id(invoice_id)" domain="[('state', '=', 'open'), ('partner_id','=',parent.partner_id), ('ret_munici', '=', False)]"/>
-                    <field name="retencion_munici"/>
+                    <field name="wh_loc_rate"/>
                     <field name="amount"/>
                     <field name="move_id"/>
                 </tree>
             </field>
         </record>
 
-        <record id="view_retencion_munici_line_form" model="ir.ui.view">
+        <record id="view_wh_muni_line_form" model="ir.ui.view">
             <field name="name">account.wh.munici.line.form</field>
             <field name="model">account.wh.munici.line</field>
             <field name="type">form</field>
@@ -33,7 +33,7 @@
                         <page string="Linea">
                             <field name="invoice_id" on_change="onchange_invoice_id(invoice_id)" domain="[('state', '=', 'open'), ('partner_id','=',parent.partner_id), ('ret_munici', '=', False)]"/>
                             <field colspan="4" name="name" select="1"/>
-                            <field name="retencion_munici"/>
+                            <field name="wh_loc_rate"/>
                             <field name="amount"/>
                             <field name="move_id"/>  
                         </page>
@@ -43,14 +43,45 @@
         </record>
 
 
-    <!-- 
+    <!--
     =====================================================
     Local Withholding
     =====================================================
-    -->  
-
-
-        <record id="view_retencion_munici_tree" model="ir.ui.view">
+    -->
+
+
+        <record id="view_wh_muni_filter" model="ir.ui.view">
+            <field name="name">account.wh.iva.search</field>
+            <field name="model">account.wh.iva</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Search Withholding Local">
+                   <group col="10" colspan="4">
+                        <filter name="draft" icon="terp-gtk-media-pause" string="Draft" domain="[('state','=','draft')]" help="Draft Withholding Local"/>
+                        <filter name="confirmed" icon="terp-gtk-media-pause" string="Confirmed" domain="[('state','=','confirmed')]" help="Draft Withholding Local"/>
+                        <filter name="done" icon="terp-check" string="Done" domain="[('state','=','done')]" help="Done Withholding Local"/>
+                        <filter name="cancel" icon="terp-dialog-close" string="Cancel" domain="[('state','=','cancel')]" help="Cancel Withholding Local"/>
+                        <separator orientation="vertical"/>
+                        <field name="code"/>
+                        <field name="number"/>
+                        <field name="partner_id"/>
+                        <field name="journal_id"  widget="selection" string="Journal"/>
+                        <field name="date_ret"/>
+                    </group>
+                    <newline/>
+                    <group expand="1" string="Group By...">
+                        <filter string="Partner" icon="terp-partner" domain="[]" context="{'group_by':'partner_id'}"/>
+                        <separator orientation="vertical"/>
+                        <filter string="State" icon="terp-stock_effects-object-colorize" domain="[]"  context="{'group_by':'state'}"/>
+                        <separator orientation="vertical"/>
+                        <filter string="Accounting Date of Withhold" icon="terp-go-month" domain="[]"  context="{'group_by':'date_ret'}"/>
+                    </group>
+               </search>
+            </field>
+        </record>
+
+
+        <record id="view_wh_muni_tree" model="ir.ui.view">
             <field name="name">account.wh.munici.tree</field>
             <field name="model">account.wh.munici</field>
             <field name="type">tree</field>
@@ -72,36 +103,36 @@
         </record>
 
 
-        <record id="view_retencion_munici_form" model="ir.ui.view">
+        <record id="view_wh_muni_form" model="ir.ui.view">
             <field name="name">account.wh.munici.form</field>
             <field name="model">account.wh.munici</field>
             <field name="type">form</field>
             <field name="arch" type="xml">
                 <form string="Local Withholding">
                     <group colspan="4" col="6">
-                        <field name="journal_id" select="2" domain="[('type','=','retmun')]"/>
-                        <field name="type" select="2"/>
-                        <field name="code" select="1"/>
-                        <field name="partner_id" on_change="onchange_partner_id(type,partner_id)" select="1"/>
-                        <field name="currency_id" />
-                        <field name="date_ret" />
+                        <field name="journal_id" select="2" domain="[('type','=','mun_purchase')]"/>
+                        <field name="type"/>
+                        <field name="code"/>
+                        <field name="partner_id" on_change="onchange_partner_id(type,partner_id)"/>
+                        <field name="currency_id"/>
+                        <field name="date_ret"/>
                         <field domain="[('type','&lt;&gt;','view'), ('company_id', '=', company_id)]" name="account_id"/>
-                        <field name="name" select="2"/>
+                        <field name="name"/>
                         <field name="period_id"/>
-                        <field name="number" select="1" attrs="{'readonly':[('type','=','in_invoice')],'required':[('type','in',['out_invoice','out_refund'])]}"/>
+                        <field name="number" attrs="{'readonly':[('type','=','in_invoice')],'required':[('type','in',['out_invoice','out_refund'])]}"/>
                         <field name="date" />
                         <field name="amount" />
                     </group>
                     <notebook colspan="4">
-                        <page string="Local Withholding">
+                        <page string="Withholding">
                             <field name="munici_line_ids" default_get="{'lines': munici_line_ids }" colspan="4" nolabel="1" height="275"/>
                             <group col="4" colspan="2">
-                                <field name="state" select="2"/>
-                                <button name="action_confirm" string="Confirmar" states="draft" type="object" icon="gtk-open"/>
-                                <button name="action_done" string="Realizar" states="confirmed" type="object"  icon="gtk-go-forward"/>
+                                <field name="state"/>
+                                <button name="action_confirm" string="Confirmed" states="draft" type="object" icon="gtk-open"/>
+                                <button name="action_done" string="Done" states="confirmed" type="object"  icon="gtk-go-forward"/>
                             </group>
                         </page>
-                        <page string="Otra Informacion">
+                        <page string="Other Information">
                             <field name="company_id"/>
                         </page>
                     </notebook>
@@ -109,91 +140,68 @@
             </field>
         </record>
 
-        <record model="ir.actions.act_window" id="action_account_retencion_munici">
-            <field name="name">Retenciones munici</field>
-            <field name="res_model">account.wh.munici</field>
-            <field name="type">ir.actions.act_window</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-        </record>
-        <record model="ir.actions.act_window.view" id="act_wv_account_retencion_munici_tree">
-            <field name="sequence" eval="10"/>
-            <field name="view_mode">tree</field>
-            <field name="view_id" ref="view_retencion_munici_tree"/> 
-            <field name="act_window_id" ref="action_account_retencion_munici"/>
-        </record>
-        <record model="ir.actions.act_window.view" id="act_wv_account_retencion_munici_form">
-            <field name="sequence" eval="20"/>
-            <field name="view_mode">form</field>
-            <field name="view_id" ref="view_retencion_munici_form"/>
-            <field name="act_window_id" ref="action_account_retencion_munici"/>
-        </record>
-
-        <menuitem
-            id="menu_action_account_retencion_munici"
-            name="Local Withholding"         
-            parent="account.menu_finance"
-            action="action_account_retencion_munici"/>
-
-
-
-        <record model="ir.actions.act_window" id="action_account_retencion_munici_customer">
-            <field name="name">Retenciones munici Clientes</field>
+
+        <record model="ir.actions.act_window" id="action_account_wh_muni_customer">
+            <field name="name">Local Withholding Customer</field>
             <field name="res_model">account.wh.munici</field>
             <field name="type">ir.actions.act_window</field>
             <field name="view_type">form</field>
             <field name="view_mode">tree,form</field>
             <field name="domain">[('type','=','out_invoice')]</field>
             <field name="context">{'type':'out_invoice'}</field>
+            <field name="search_view_id" ref="view_wh_muni_filter"/>
+            <field name="help">With Local Withholding Customer you can create and manage document withholding issued to your customers. OpenERP can also generate document withholding automatically from invoices. For retention must add the invoices, process them and then validate the document.</field>
         </record>
-        <record model="ir.actions.act_window.view" id="act_wv_account_retencion_munici_customer_tree">
+        <record model="ir.actions.act_window.view" id="act_wv_account_wh_muni_customer_tree">
             <field name="sequence" eval="10"/>
             <field name="view_mode">tree</field>
-            <field name="view_id" ref="view_retencion_munici_tree"/> 
-            <field name="act_window_id" ref="action_account_retencion_munici_customer"/>
+            <field name="view_id" ref="view_wh_muni_tree"/> 
+            <field name="act_window_id" ref="action_account_wh_muni_customer"/>
         </record>
-        <record model="ir.actions.act_window.view" id="act_wv_account_retencion_munici_customer_form">
+        <record model="ir.actions.act_window.view" id="act_wv_account_wh_muni_customer_form">
             <field name="sequence" eval="20"/>
             <field name="view_mode">form</field>
-            <field name="view_id" ref="view_retencion_munici_form"/>
-            <field name="act_window_id" ref="action_account_retencion_munici_customer"/>
+            <field name="view_id" ref="view_wh_muni_form"/>
+            <field name="act_window_id" ref="action_account_wh_muni_customer"/>
         </record>
 
         <menuitem
-            id="menu_action_account_retencion_munici_customer"
-            name="Local Withholding Clientes"         
-            parent="menu_action_account_retencion_munici"
-            action="action_account_retencion_munici_customer"/>
-
-
-
-        <record model="ir.actions.act_window" id="action_account_retencion_munici_supplier">
-            <field name="name">Retenciones munici Proveedores</field>
+            id="menu_action_account_wh_muni_customer"
+            name="Local Withholding Customer"
+            parent="l10n_ve_withholding.menu_wh_customer"
+            action="action_account_wh_muni_customer"/>
+
+
+
+        <record model="ir.actions.act_window" id="action_account_wh_muni_supplier">
+            <field name="name">Local Withholding Supplier</field>
             <field name="res_model">account.wh.munici</field>
             <field name="type">ir.actions.act_window</field>
             <field name="view_type">form</field>
             <field name="view_mode">tree,form</field>
             <field name="domain">[('type','=','in_invoice')]</field>
             <field name="context">{'type':'in_invoice'}</field>
+            <field name="search_view_id" ref="view_wh_muni_filter"/>
+            <field name="help">With Local Withholding Supplier you can create and manage document withholding issued to your customers. OpenERP can also generate document withholding automatically from invoices. For retention must add the invoices, process them and then validate the document.</field>
         </record>
-        <record model="ir.actions.act_window.view" id="act_wv_account_retencion_munici_supplier_tree">
+        <record model="ir.actions.act_window.view" id="act_wv_account_wh_muni_supplier_tree">
             <field name="sequence" eval="10"/>
             <field name="view_mode">tree</field>
-            <field name="view_id" ref="view_retencion_munici_tree"/> 
-            <field name="act_window_id" ref="action_account_retencion_munici_supplier"/>
+            <field name="view_id" ref="view_wh_muni_tree"/> 
+            <field name="act_window_id" ref="action_account_wh_muni_supplier"/>
         </record>
-        <record model="ir.actions.act_window.view" id="act_wv_account_retencion_munici_supplier_form">
+        <record model="ir.actions.act_window.view" id="act_wv_account_wh_muni_supplier_form">
             <field name="sequence" eval="20"/>
             <field name="view_mode">form</field>
-            <field name="view_id" ref="view_retencion_munici_form"/>
-            <field name="act_window_id" ref="action_account_retencion_munici_supplier"/>
+            <field name="view_id" ref="view_wh_muni_form"/>
+            <field name="act_window_id" ref="action_account_wh_muni_supplier"/>
         </record>
 
         <menuitem
-            id="menu_action_account_retencion_munici_supplier"
-            name="Local Withholding Proveedores"         
-            parent="menu_action_account_retencion_munici"
-            action="action_account_retencion_munici_supplier"/>
+            id="menu_action_account_wh_muni_supplier"
+            name="Local Withholding Supplier"
+            parent="l10n_ve_withholding.menu_wh_suppiler"
+            action="action_account_wh_muni_supplier"/>
 
     </data>
 </openerp>

